# Interface methods for submodule: SymmetricEigenAnalysisImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: SymmetricEigenAnalysisImageFilter
class SymmetricEigenAnalysisImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def OrderEigenValuesBy(self, order) -> None:
		""""""
		...

	def SetOrderEigenValuesBy(self, order) -> None:
		""""""
		...

	def GetOrderEigenValuesBy(self):
		""""""
		...

	def SetDimension(self, p: int) -> None:
		""""""
		...

	def GetDimension(self) -> int:
		""""""
		...

